%define oname   dbi

Name:       ruby-%{oname}
Version:    0.4.5
Release:    %mkrel 1
Summary:    A vendor independent interface for accessing databases, similar to Perl's DBI
License:    MIT
Group:      Development/Ruby
URL:        http://www.rubyforge.org/projects/ruby-dbi
Source0:    http://rubygems.org/download/%{oname}-%{version}.gem
Patch0:     dbi-0.4.5-fix-connector-list.patch
BuildRequires: rubygems
BuildRequires: rubygem(deprecated)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A vendor independent interface for accessing databases, similar to Perl's
DBI

%files
%defattr(-, root, root, -)
%{_bindir}/dbi
%{_bindir}/test_broken_dbi
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby test/ts_dbi.rb

%clean
rm -rf %{buildroot}



%changelog
* Wed Feb 09 2011 shikamaru <shikamaru> 0.4.5-1.mga1
+ Revision: 49319
- disable all connectors to avoid circular dependencies (they require ruby-dbi themselves)
- imported package ruby-dbi


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.4.5-1
- Initial package
